REM Deshabilito los comandos mostrados en pantalla
@echo off

ECHO Me ubico en el disco D: y en la carpeta del programa de backup
D:
cd "D:\Proyectos\Control Maestro\BD"

ECHO Copias a guardar
SET copiasDiarias=50000

ECHO Verifico si existen los archivos de contadores y directorio temporal
IF NOT EXIST contadorDiario.dat (ECHO 0 > contadorDiario.dat)

ECHO Obtengo dato de archivo de contador diario
SET /P contadorDiario= <contadorDiario.dat

ECHO Verifico si vuelvo a comenzar otra serie de backups
IF %contadorDiario% EQU %copiasDiarias% (SET contadorDiario=0)

ECHO Incremento contador diario
SET /A "contadorDiario=contadorDiario+1"

ECHO Saco copias de seguridad de las bases de datos
mysqldump --opt --host=localhost --user=root --password=71361128 contro_bd > contro_bd.sql

ECHO Comprimo copia de seguridad marcada con el contador de backup
7z a -t7z %contadorDiario%-backup.7z contro_bd.sql

ECHO Actualizo archivo de contador
ECHO %contadorDiario% > contadorDiario.dat

ECHO Borro archivos de backup temporales
DEL contro_bd.sql /Q /S